App({
    options: {
        debug: false // 是否开启调试模式，默认为false   true
    },
    /**
     * 当wap2app初始化完成时，会触发 onLaunch
     */
	onLaunch: function() {
		console.log('launch');
		/************升级检测代码开始********** */  
		var ua = navigator.userAgent;
		if(ua.indexOf('Html5Plus')>-1 && ua.indexOf('StreamApp')==-1){
        var url = "https://app.iptv800.com/check/update/";
        var req = {
            "appid": plus.runtime.appid,
            "version": plus.runtime.version,
			"imei": plus.device.imei
        };  
        wap2app.ajax.get(url, req, function(rsp) {
            if(rsp && rsp.status){
                plus.nativeUI.confirm(rsp.note, function(event) {
                    if(0 == event.index) {
                        plus.runtime.openURL(rsp.url);  
                    }  
                }, rsp.title, ["立即更新", "取消"]);  
            }
        });  
		}  
		/************升级检测代码结束********** */  

		/******推送消息监听代码开始******/
		//个推消息-监听click事件
		plus.push.addEventListener("click", function(msg) {
			console.log("You clicked: " + msg.title); //推送消息标题
			console.log("You clicked: " + msg.content); //推送消息内容
			
			//根据payload传递过来的数据，打开一个详情
			if(msg.payload) {
				if(typeof(msg.payload) == "string") {
					msg.payload = JSON.parse(msg.payload);
				}else if(typeof(msg.payload) == "object") {
					//payload是一个json对象，可以传递业务数据，开发者可以根据实际需求自定义参数
					//本示例在payload中传入新闻id，wap2app接收到推送后，直接打开新闻详情
					if(msg.payload.url) {
						var url = msg.payload.url;
						wap2app.open(url); 
					}
				}
			}
		}, false);

		//个推消息-receive事件监听
		plus.push.addEventListener("receive", function(msg) {
			    console.log("recieve title: " + msg.title); //推送消息标题  
			    console.log("recieve content: " + msg.content); //推送消息内容  
			    //根据payload传递过来的数据，打开一个详情  
			    var payload;  
			    if (msg.payload) {  
			      //如透传消息不符合格式，则“payload”属性为string类型  
			      //这里的示例以json字符串去解析，实际上也可以做字符串匹配  
			      if (typeof (msg.payload) == "string") {  
			        try {  
			          payload = JSON.parse(msg.payload);  
			        } catch (error) {  
			          console.log(error);  
			        }  
			      } else if (typeof (msg.payload) == "object") {  
			        //iOS应用正处于前台运行时收到推送，也触发receive事件，此时payload为json对象  
			        payload = msg.payload;  
			      }  
			
			      if (payload) {  
			        //本示例在payload中传入新闻id，wap2app接收到推送后，直接打开新闻详情  
			        var url = payload.url; 
					wap2app.open(url); 
			        //wap2app.open(url)可以直接打开对应的webview  
			        //这里是示例，实际项目中开发者需根据M站的url拼接页面地址  
			        //wap2app.open('https://player.ggigptv.com/iptv.php?' + detailId);
					
			      }  
			    }  
		}, false);
		/******推送消息监听代码结束******/
	},
    /**
     * 当wap2app启动，或从后台进入前台显示，会触发 onShow
     */
    onShow: function() {
        console.log('show');
    },
    /**
     * 当wap2app从前台进入后台，会触发 onHide
     */
    onHide: function() {
        console.log('hide');
    }
});
Page('__W2A__app.iptv800.com', { //首页扩展配置
    onShow: function() {

    },
    onClose: function() {

    }
});